Skip to content

OMNO API Documentation (2.0.0)

Download OpenAPI description
Overview
Languages
Servers
Production
https://api.omno.com
Sandbox
https://api.omno.dev

Cashier

Cashier API

Operations

Create cashier session

Request

Creates cashier session for customer.

Security
bearerAuth
Bodyapplication/jsonrequired

Create Cashier Request

balancestring

Current balance of the customer. Balance will be shown on the withdrawal widget.

Example: "1000.50"
currencystringrequired

Currency for the cashier session, in which all payin/payout transaction will be created

Example: "USD"
customerobject(CustomerRequest)

Customer information

externalCustomerIdstring

External Customer Id

internalCustomerIdstring

OMNO Customer Id

feeobject(FixedFee)
kycVerifiedboolean

Whether this customer is KYC verified in your system.

Example: true
merchantTransactionIdstring

External transaction id

previousTransactionCountinteger>= 0

Number of previous transactions in different payment system.

Example: 5
curl -i -X POST \
  https://api.omno.com/public/cashier/session \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "balance": "1000.50",
    "currency": "USD",
    "customer": {
      "externalUserId": "123456789",
      "firstName": "John",
      "lastName": "Doe",
      "email": "john.doe@example.com",
      "phoneNumber": "1 1234567890",
      "dateOfBirth": "1990-12-01",
      "billing": {
        "address": "123 Main St",
        "city": "Atlanta",
        "state": "GA",
        "countryCode": "US",
        "postalCode": "30308"
      },
      "kyc": {
        "idType": "string",
        "idNumber": "string",
        "idCountry": "string",
        "idExpirationDate": "2019-08-24",
        "nationality": "string",
        "countryOfBirth": "string"
      }
    },
    "externalCustomerId": "string",
    "internalCustomerId": "string",
    "fee": {
      "amount": "1.50",
      "feeType": "INCLUDED"
    },
    "kycVerified": true,
    "merchantTransactionId": "string",
    "previousTransactionCount": 5
  }'

Responses

Cashier session created

Bodyapplication/json
sessionIdstring(uuid)required

Cashier session ID

Example: "25aee2fd-fd2a-4a1c-a127-df26206b2a30"
checkoutUrlstring(url)

Cashier checkout session URL

Example: "https://checkout.omno.com/payments/cashier/25aee2fd-fd2a-4a1c-a127-df26206b2a30"
depositUrlstring(url)

Deposit url

Example: "https://checkout.omno.com/payments/cashier/25aee2fd-fd2a-4a1c-a127-df26206b2a30/deposit"
withdrawalUrlstring(url)

Withdrawal url

Example: "https://checkout.omno.com/payments/cashier/25aee2fd-fd2a-4a1c-a127-df26206b2a30/withdraw"
Response
application/json
{ "sessionId": "25aee2fd-fd2a-4a1c-a127-df26206b2a30", "checkoutUrl": "https://checkout.omno.com/payments/cashier/25aee2fd-fd2a-4a1c-a127-df26206b2a30", "depositUrl": "https://checkout.omno.com/payments/cashier/25aee2fd-fd2a-4a1c-a127-df26206b2a30/deposit", "withdrawalUrl": "https://checkout.omno.com/payments/cashier/25aee2fd-fd2a-4a1c-a127-df26206b2a30/withdraw" }

PayIn

PayIn API

Operations

Payout

Payout API

Operations